//============================================================================
// Hierarchical state machine manager
//
// Lowlevel.h : Some machine dependant definitions
//
// (c) Robert Lacoste 2013, 
//
// Use this software freely, but provided without any warranty or support
//============================================================================

#ifndef LOWLEVEL_H
#define LOWLEVEL_H

// System wide definitions
typedef unsigned char BOOL;
#define TRUE 1
#define FALSE 0

// Prototypes
void disable_interrupts(void);
void enable_interrupts(void);
void assert(BOOL x);

#endif

// END OF FILE

